// This software was written by Gregory L Montgomery
// and is completely covered by the 
// GPL General Public License

// Date of release 1/7/1998 

// Programmer Gregory Montgomery

// This is the header file for the abstract Parent 
//                              AD (Analog to Digital) CLASS

#ifndef AD_H
#define AD_H

#include <iostream.h>

class AD{

	  public:
		enum Types{  ADC,
		             B,
		             C,
		           };
                AD();                // Init a AD converter.
                AD(const int Port); //Init AD converter to a port
		virtual ~AD();
		virtual AD   * clone() const = 0;
		virtual char * Ident() const = 0;  
                virtual void   Reset() = 0;
                virtual void    Calibrate(const double);
                virtual double Ref() const;

	  protected:
               int      AD_Port;
	       double   VRef;
};
#endif







